<?php
global $wp_roles;

$packages = $this->get_package_list($this->path);

ob_start();
?>

<form name="moresmile" method="post">
<div class="wrap" onmouseover="window.status='More Smilies Please!'; return true;"><h2>More Smilies <?php echo k_SMILIES_VER; ?></h2>

<p style="padding:1em; <?php echo (!get_settings('use_smilies')) ? 'background:#ffff99;' : ''; ?>"><label for="use_smilies">
<input name="use_smilies" type="checkbox" id="use_smilies" value="1" <?php checked('1', get_settings('use_smilies')); ?> />
<?php _e('Convert emoticons like <code>:-)</code> and <code>:-P</code> to graphics on display', 'more-smilies'); ?></label></p>

<h3 style="padding-top: 1.5em;"><?php _e('Choose The Default Smilies Package', 'more-smilies'); ?></h3>

<table cellspacing="2" cellpadding="5" width="100%">
	<tr class="alternate">
	<th><?php _e('Enable', 'more-smilies'); ?></th>
	<th><?php _e('Package', 'more-smilies'); ?></th>
	<th><?php _e('Author', 'more-smilies'); ?></th>
	<th><?php _e('Description', 'more-smilies'); ?></th>
	</tr>

<?php
$style = 'alternate';
foreach($packages as $package) {
	$smilies = new smilies_package($package);

	$style = ('alternate' == $style || 'alternate active' == $style) ? '' : 'alternate';
	$checked = '';
	if ($package == $this->default_smilies) {
		$style .= ' active';
		$checked = 'checked="true"';
	}
	
	$author = ($smilies->author_url) ? '<a href="'. $smilies->author_url .'">'. $smilies->author .'</a>' : $smilies->author;
	$name = ($smilies->url) ? '<a href="'. $smilies->url .'">'. $smilies->name .'</a>' : $smilies->name;
	
	echo "<tr class=\"$style\"><td><input type=\"radio\" name=\"more_smilies\" value=\"$package\" $checked /></td>";
	echo "<td>". $name ."</td>";
	echo "<td>". $author ."</td>";
	echo "<td>". $smilies->description ."</td></tr>";
}
?>

</table>

<p class="submit">
	<input type="submit" name="submit" value="<?php _e('Update Options', 'more-smilies'); ?>" />
</p>


<h3 style="margin-top:4em;"><?php _e('User Roles Allowed To Set Personal Smilies', 'more-smilies'); ?></h3>
<fieldset name="runPHP Post Options">
<legend><?php _e('<p>You can allow the following checked user roles to set their own personal smilies. They will see a "Smilies" submenu in their Profile page from which they can choose which Smiley Package to use on the site.</p><p><strong>Note:</strong> Clickable smilies available in the admin area will always use the Default Smilies Package set above, while clickable smilies for comments will use the users Personal Smilies, if set.</p>', 'more-smilies'); ?></legend>
<ul style="list-style-type: none;">
<?php
# borrowed from RunPHP
$roles = $wp_roles->get_names();
foreach ($roles as $role => $roleName) {
$tmp_role =& $wp_roles->get_role($role);
if ($tmp_role->has_cap($this->role))
		$checked = ' checked="checked"';
	else
		$checked = '';
	
	echo "\n".'<li><label for="'.$role.'"><input name="can_change_smilies[]" type="checkbox" id="'. $role .'" value="'. $role .'"'. $checked .'/> ';

	echo $roleName .'</label></li>';
}
?>
</ul>
<p><?php $this->check_all_js(); ?></p>
</fieldset>



<p class="submit">
	<input type="submit" name="submit" value="<?php _e('Update Options', 'more-smilies'); ?>" />
	<input type="hidden" name="action" value="update" />
</p>
</form>

<?php $smilies = new smilies_package($this->default_smilies); ?>
<h3 style="margin-top:4em;"><?php _e('Current Default Smilies', 'more-smilies'); ?> (<?php echo $smilies->name; ?>)</h3>
<table cellspacing="2" cellpadding="5" width="40%">
	<tr class="alternate">
	<th><?php _e('Text', 'more-smilies'); ?></th>
	<th><?php _e('Smiley', 'more-smilies');?></th>
	</tr>

<?php
$style = 'alternate';
foreach ($smilies->smilies as $smiley => $img) {
	$style = ('alternate' == $style) ? '' : 'alternate';
	echo '<tr class="'. $style .'"><td> '. $smiley .' </td><td> <img src="'. $smilies->url_path .'/'. $img .'" /></td></tr>';
}
?>

</table>

<?php $this->footer(); ?>

</div>

<?php
ob_end_flush();
?>