<?php
$packages = $this->get_package_list($this->path);

ob_start();
?>

<form name="moresmile" method="post">
<div class="wrap" onmouseover="window.status='More Smilies Please!'; return true;">
<h2><?php _e('Personal Smilies', 'more-smilies'); ?></h2>

<h3 style="padding-top: 1.5em;"><?php _e('Choose Your Prefered Smilies Package', 'more-smilies'); ?></h3>

<table cellspacing="2" cellpadding="5" width="100%">
	<tr class="alternate">
	<th><?php _e('Enable', 'more-smilies'); ?></th>
	<th><?php _e('Package', 'more-smilies'); ?></th>
	<th><?php _e('Author', 'more-smilies'); ?></th>
	<th><?php _e('Description', 'more-smilies'); ?></th>
	</tr>

<?php
$style = 'alternate';
foreach($packages as $package) {
	$smilies = new smilies_package($package);

	$style = ('alternate' == $style || 'alternate active' == $style) ? '' : 'alternate';
	$checked = '';
	if ($package == $this->current_smilies) {
		$style .= ' active';
		$checked = 'checked="true"';
	}
	
	$author = ($smilies->author_url) ? '<a href="'. $smilies->author_url .'">'. $smilies->author .'</a>' : $smilies->author;
	$name = ($smilies->url) ? '<a href="'. $smilies->url .'">'. $smilies->name .'</a>' : $smilies->name;
	
	if ($package == $this->default_smilies) $name .= ' <b style="font-size:.9em;">('. __('Site Default', 'more-smilies') .')</b>';
	
	echo "<tr class=\"$style\"><td><input type=\"radio\" name=\"more_smilies\" value=\"$package\" $checked /></td>";
	echo "<td>". $name ."</td>";
	echo "<td>". $author ."</td>";
	echo "<td>". $smilies->description ."</td></tr>";
}
?>

</table>
<p class="submit">
	<input type="submit" name="submit" value="<?php _e('Update Smilies Package', 'more-smilies'); ?>" />
	<input type="submit" name="reset" value="<?php _e('Reset', 'more-smilies'); ?>" />
	<input type="hidden" name="action" value="update" />
</p>
</form>

<?php $smilies = new smilies_package($this->current_smilies); ?>
<h3 style="margin-top:4em;"><?php _e('Current Smilies', 'more-smilies'); ?> (<?php echo $smilies->name; ?>)</h3>
<table cellspacing="2" cellpadding="5" width="40%">
	<tr class="alternate">
	<th><?php _e('Text', 'more-smilies'); ?></th>
	<th><?php _e('Smiley', 'more-smilies');?></th>
	</tr>

<?php
$style = 'alternate';
foreach ($smilies->smilies as $smiley => $img) {
	$style = ('alternate' == $style) ? '' : 'alternate';
	echo '<tr class="'. $style .'"><td> '. $smiley .' </td><td> <img src="'. $smilies->url_path .'/'. $img .'" /></td></tr>';
}
?>

</table>

<?php $this->footer(); ?>

</div>

<?php
ob_end_flush();
?>