<?php
global $more_smilies;
require_once('../../../wp-config.php');
$smilies = new smilies_package(get_option('more_smilies'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php _e('Choose A Smiley') ?></title>
	<style type="text/css">
		body {background:#eee; font-size:.8em; padding:1px 1em; margin:0; font-family:sans-serif;}
		img {border:none; margin:.5em;}
		h2 {font-size:1em; margin:1em 0; color:#2b6fb6;}
		h1 {font-size:.9em; color:#999; text-align:center; font-weight:normal;}
		.change {font-size:.9em; text-align:right; padding-top:1.5em;}
		.change a {color: #c00;}
		input {
			font: 13px Verdana, Arial, Helvetica, sans-serif;
			height: auto;
			width: auto;
			background-color: transparent;
			background-image: url(../../../../../wp-admin/images/fade-butt.png);
			background-repeat: repeat;
			border: 3px double;
			border-right-color: rgb(153, 153, 153);
			border-bottom-color: rgb(153, 153, 153);
			border-left-color: rgb(204, 204, 204);
			border-top-color: rgb(204, 204, 204);
			color: rgb(51, 51, 51);
			padding: 0.25em 0.75em;
		}
		input:active {
			background: #f4f4f4;
			border-left-color: #999;
			border-top-color: #999;
		}
	</style>
	<script type="text/Javascript">
	<!--
		function moreSmiliesAappendSmiley(text) {
			mceWindow = window.opener;
			if(mceWindow.tinyMCE) {
				mceWindow.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, text);
				mceWindow.tinyMCE.execCommand("mceCleanup");
			} else {
				edCanvas = mceWindow.document.getElementById('content');
				mceWindow.edInsertContent(edCanvas, text);
			}
			window.close();
		}
	-->
	</script>

</head>
<body>
<form onsubmit="return false;">
	<h1><?php echo $smilies->name; ?></h1>

	<h2><?php _e('Choose A Smiley') ?></h2>
	<p>
	<?php
	foreach(array_unique(array_reverse($smilies->smilies)) as $smiley => $img) {
		echo '<a href="javascript:moreSmiliesAappendSmiley(\''.addslashes($smiley).'\')">';
		echo '<img src="'. $smilies->url_path .'/'. $img .'" alt="'. htmlspecialchars(trim($smiley), ENT_QUOTES) .'" class="wp-smiley" title="'. htmlspecialchars(trim($smiley), ENT_QUOTES) .'" />';
		echo '</a> ';
	}
	?>
	</p>
	
	
	<p class="change">
		<input type="button" name="Cancel" value="Cancel" onclick="window.close();" /> &nbsp;
		
		<?php if (current_user_can('manage_options')) : ?>
		<input type="button" name="Change" value="Change Package&#187;" onclick="window.opener.location = '<?php bloginfo('siteurl'); ?>/wp-admin/options-general.php?page=more-smilies/more-smilies.php'; window.close();" />
		<?php endif; ?>
	</p>
</form>
</body>
</html>

